#!/usr/bin/perl

use 5.010;
use strict;
use warnings;
my $file1="dat00001.csv";
my $M_year="2015";
my $M_month="01";
my $M_day="08";
my $file2="PV_power_inveter_in$M_year$M_month$M_day.csv";
# open the input file
# this was a single phase measurement!
open(my $File1,'<',$file1) || die "Cannot open file $file1: $!";
# open the output files
open(my $File2,'>', $file2) || die "Cannot open file $file2: $!";

my $k=1;
my $line=1;
my $j=1;
my $prev_time =0;
my $n =1;

# read and process the input file line by line
while(<$File1>) {
#chomp $Line;
# Only do this for 30 lines
#	if($k<130){
#skip first 17 lines!
#then parse each of the following lines in the file
if($k > 1) {
	(my $DATA_POINT,my $DATE,my $TIME,my $VOLTAGE_READING)=split(/\s/, $_);
        (my $MONTH,my $DAY, my $YEAR)=split(/\//,  $DATE);
        (my $HOUR,my $MINUTE,my $SECOND, my $M_SECONDS)=split(/:/, $TIME);
	 my $SECONDs=$SECOND;
	 my $Secs = $SECONDs;
	if($DAY==$M_day){
	 	#if($j==($n*23)){
		#printf $File2 "%d %d %d, %d, %d ,%d ,%f\n", $YEAR,$MONTH,$DAY,$HOUR,$MINUTE,$SECONDs,$VOLTAGE_READING;
		printf $File2 "%f\n",$VOLTAGE_READING;
		#$n++;
	#}
		$j++;
	}
}
$k++;	
}

close $File1;
close($File2);

printf "%d\n", $j;
printf "%d\n", $k;
print "done\n";